Page MenuHomePhabricator

Enable 3D on test.wikipedia.org and test2.wikipedia.org
Closed, ResolvedPublic

Description

This is a task for enabling 3D on test.wikipedia.org and test2.wikipedia.org, tentatively Tuesday, 8-August-2017.

Note that the configuration on these wikis reflects a production like environment, but we do not plan to enable 3D on Commons or other production wikis until further consultation and final bugfixes are in place.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2017, 7:23 PM
dr0ptp4kt triaged this task as High priority.Jul 21 2017, 7:23 PM
MarkTraceur moved this task from Next up to Triaged on the Multimedia board.Sep 7 2017, 4:12 PM

Waiting on completion of 3D work on Beta before we push forward on this.

Koavf added a subscriber: Koavf.Sep 16 2017, 3:26 AM

Waiting on completion of 3D work on Beta before we push forward on this.

Is there a ticket for this as well?

MarkTraceur moved this task from Triaged to Next up on the Multimedia board.

We'll be doing this on Wednesday, September 27th at 07:00 San Francisco time (14:00 UTC).

Gilles added a subscriber: Gilles.Sep 19 2017, 8:03 PM

We're going to need 3d2png deployed on the Thumbor servers. I don't know how that's done, though.

@fgiunchedi do you know how we can get 3d2png deployed on production servers? I believe it's been deployed to beta with scap but I don't even know how that was set up.

Change 380969 had a related patch set uploaded (by Gilles; owner: Gilles):
[operations/puppet@production] Thumbor: enable STL engine on eqiad and codfw

https://gerrit.wikimedia.org/r/380969

@fgiunchedi do you know how we can get 3d2png deployed on production servers? I believe it's been deployed to beta with scap but I don't even know how that was set up.

Not sure who deployed it, but it's there on eqiad and codfw thumbor servers now.

Change 380969 merged by Elukey:
[operations/puppet@production] Thumbor: enable STL engine on eqiad and codfw

https://gerrit.wikimedia.org/r/380969

@fgiunchedi do you know how we can get 3d2png deployed on production servers? I believe it's been deployed to beta with scap but I don't even know how that was set up.

Not sure who deployed it, but it's there on eqiad and codfw thumbor servers now.

Indeed, me and @matthiasmullie deployed it on imagescaler and thumbor servers on Tues puppet SWAT!

matthiasmullie closed this task as Resolved.Oct 11 2017, 10:30 AM